## golang-github-ostreedev-ostree-go 0.0+git20190702.759a8c1

=== Makefile ===

.PHONY: help deps lint test install-tools

help:
	@echo "Targets:"
	@echo " - deps: Install required dependencies for building"
	@echo " - install-tools: install tools"
	@echo " - lint: Run golint"
	@echo " - test: Run unittests"

install-tools:
	go get -u github.com/golang/dep/cmd/dep
	go get -u github.com/golang/lint/golint

deps:
	dep ensure -v

lint:
	golint .


test:
	go list ./... | grep -v vendor | xargs go test -v

=== debian/changelog ===
golang-github-ostreedev-ostree-go (0.0+git20190702.759a8c1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 05 Feb 2021 00:18:13 +0000

golang-github-ostreedev-ostree-go (0.0+git20190702.759a8c1-3) unstable; urgency=medium

  * Added (Build-)Depends as required by "pkg/glibobject":
    + libglib2.0-dev
    + libostree-dev
    + pkg-config

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 01 Dec 2019 04:31:51 +1100

golang-github-ostreedev-ostree-go (0.0+git20190702.759a8c1-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.4.1.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 12 Oct 2019 20:58:55 +1100

golang-github-ostreedev-ostree-go (0.0+git20190702.759a8c1-1) unstable; urgency=medium

  * Initial release (Closes: 898689)

 -- Juan Picca <jumapico@gmail.com>  Tue, 10 Sep 2019 09:12:59 +1000

=== debian/control ===
Source: golang-github-ostreedev-ostree-go
Section: devel
Priority: optional
Standards-Version: 4.5.0
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Juan Picca <jumapico@gmail.com>,
           Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper-compat (= 12),
    dh-golang,
               golang-any,
    golang-github-14rcole-gopopulate-dev,
    libglib2.0-dev,
    libostree-dev,
    pkg-config,
Homepage: https://github.com/ostreedev/ostree-go
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-ostreedev-ostree-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-ostreedev-ostree-go.git
XS-Go-Import-Path: github.com/ostreedev/ostree-go
Testsuite: autopkgtest-pkg-go

Package: golang-github-ostreedev-ostree-go-dev
Architecture: all
Depends: ${misc:Depends},
    golang-github-14rcole-gopopulate-dev,
    libglib2.0-dev,
    libostree-dev,
    pkg-config,
Description: Golang bindings for httt://github.com/ostreedev/ostree
 OSTree-Go Go bindings for OSTree. Find out more about OSTree here
 (https://github.com/ostreedev/ostree)

=== debian/watch ===
# https://salsa.debian.org/snippets/96
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
mode=git,gitmode=shallow,date=%Y%m%d,pretty=0.0+git%cd.%h,\
repack,compression=xz,repacksuffix=+dfsg,\
" https://github.com/ostreedev/ostree-go.git \
  heads/master

## Upstream should tag releases:
## https://github.com/ostreedev/ostree-go/issues/27

## golang-github-ostreedev-ostree-go 0.0+git20210805.719684c64e4f

=== debian/changelog ===
golang-github-ostreedev-ostree-go (0.0+git20210805.719684c64e4f-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version
  * normalize fields with wrap-and-sort

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 08 Aug 2024 18:56:15 -0400

golang-github-ostreedev-ostree-go (0.0+git20210805.719684c64e4f-1) experimental; urgency=medium

  * Team Upload
  * New upstream snapshot

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 16 Aug 2022 18:15:35 +0200

golang-github-ostreedev-ostree-go (0.0+git20190702.759a8c1-5) unstable; urgency=medium

  * Team Upload
  * Skip upstream tests to avoid autopkgtest failures, Closes: #1007896

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 10 Apr 2022 10:02:20 -0400

=== debian/control ===
Source: golang-github-ostreedev-ostree-go
Section: devel
Priority: optional
Standards-Version: 4.7.0
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Juan Picca <jumapico@gmail.com>, Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-14rcole-gopopulate-dev,
               libglib2.0-dev,
               libostree-dev,
               pkgconf | pkg-config
Homepage: https://github.com/ostreedev/ostree-go
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-ostreedev-ostree-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-ostreedev-ostree-go.git
XS-Go-Import-Path: github.com/ostreedev/ostree-go
Testsuite: autopkgtest-pkg-go

Package: golang-github-ostreedev-ostree-go-dev
Architecture: all
Depends: golang-github-14rcole-gopopulate-dev,
         libglib2.0-dev,
         libostree-dev,
         pkgconf | pkg-config,
         ${misc:Depends}
Description: Golang bindings for httt://github.com/ostreedev/ostree
 OSTree-Go Go bindings for OSTree. Find out more about OSTree here
 (https://github.com/ostreedev/ostree)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	@echo "Test disabled for now"
